SystemOrganization addCategory: #SimpleLogger!

Object subclass: #G9Logger
	instanceVariableNames: 'logFile'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimpleLogger'!

!G9Logger commentStamp: 'GermanArduino 7/13/2010 19:41' prior: 0!
A G9Logger is a simple logger for Pharo/Squeak.

Developed by Germn S. Arduino on July 2010.

This product is MIT licensed.

Instance Variables
	logFile:		<Object>

logFile
	- xxxxx
!

!G9Logger methodsFor: 'actions' stamp: 'GermanArduino 7/13/2010 19:44'!
closeLogFile 
	
	logFile nextPutAll: '------------------------------------------------------------------------------',String crlf.
	logFile nextPutAll: 'G9Logger ended at: ',TimeStamp now asString, String crlf.
	logFile nextPutAll: '------------------------------------------------------------------------------',String crlf.
	logFile nextPutAll: '-------------------G9Logger is a product from Arduino Software--------------------',String crlf.
	logFile nextPutAll: '----------Web: http://www.arduinosoftware.com---Mail: info@arsol.net----------',String crlf.

	logFile close. 
	! !

!G9Logger methodsFor: 'actions' stamp: 'GermanArduino 7/13/2010 19:39'!
createLogFile

	logFile := FileDirectory default newFileNamed:  TimeStamp now asString, '.txt'.
	
	logFile nextPutAll: '------------------------------------------------------------------------------',String crlf.
	logFile nextPutAll: 'G9Logger started at:  ',TimeStamp now asString, String crlf.
	logFile nextPutAll: '------------------------------------------------------------------------------',String crlf.

! !

!G9Logger methodsFor: 'initialize-release' stamp: 'GermanArduino 7/13/2010 19:38'!
initialize
	self createLogFile.! !

!G9Logger methodsFor: 'actions' stamp: 'GermanArduino 7/13/2010 19:38'!
log: anObject
	
	logFile nextPutAll: anObject, String crlf.
! !

!G9Logger methodsFor: 'accessing' stamp: 'GermanArduino 7/13/2010 19:38'!
logFile
	^ logFile! !

!G9Logger methodsFor: 'accessing' stamp: 'GermanArduino 7/13/2010 19:38'!
logFile: anObject
	logFile := anObject! !

!G9Logger methodsFor: 'actions' stamp: 'GermanArduino 7/13/2010 19:38'!
logSeparator
	
	logFile nextPutAll: '------------------------------------------------------------------------------',String crlf.
	! !

!G9Logger methodsFor: 'actions' stamp: 'GermanArduino 7/13/2010 19:38'!
logWithTimeStamp: anObject
	
	logFile nextPutAll: anObject,' ',TimeStamp now asString, String crlf.
! !
